#!/bin/sh
#
# Copyright (c) 2013-2015 Linagora
#
# This program/library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2.1 of the License, or (at your
# option) any later version.
#
# This program/library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program/library; If not, see <http://www.gnu.org/licenses/>
# for the GNU Lesser General Public License version 2.1.
#
##############################################################################
#
#             Petals ESB : Environment configuration file
#
#
##############################################################################

# If TCP/IPv4 and TCP/IPv6 are available on the host, we prefer TCP/IPv4
PETALS_JAVA_OPTS="$PETALS_JAVA_OPTS -Djava.net.preferIPv4Stack=true"

# JVM memory sizing
PETALS_JAVA_OPTS="$PETALS_JAVA_OPTS -Xmx1024m -XX:MaxPermSize=256m"

# Uncomment following line to enable logging of the JMX Server of Petals
# Available priorities are: trace, debug, info, warn, error, fatal
# PETALS_JAVA_OPTS="$PETALS_JAVA_OPTS -Dmx4j.log.priority=debug"

# The log directory
PETALS_JAVA_OPTS="$PETALS_JAVA_OPTS -Dpetals.log.dir=$DIRNAME/../logs"

# Uncomment following lines to enable SNMP agent of the JVM
#PETALS_JAVA_OPTS="$PETALS_JAVA_OPTS -Dcom.sun.management.snmp.port=16161"
#PETALS_JAVA_OPTS="$PETALS_JAVA_OPTS -Dcom.sun.management.snmp.interface=0.0.0.0"
#PETALS_JAVA_OPTS="$PETALS_JAVA_OPTS -Dcom.sun.management.snmp.acl.file=$DIRNAME/../conf/default-snmp.acl"
